Agora RTC Objective-C API Reference Refactor

Properties
AgoraChannelStats Class Reference

Inherits <NSObject>.

## Properties
NSUInteger | duration
NSUInteger | txBytes
NSUInteger | rxBytes
NSUInteger | txAudioKBitrate
NSUInteger | rxAudioKBitrate
NSUInteger | txVideoKBitrate
NSUInteger | rxVideoKBitrate
NSUInteger | txAudioBytes
NSUInteger | txVideoBytes
NSUInteger | rxAudioBytes
NSUInteger | rxVideoBytes
NSUInteger | lastmileDelay
NSUInteger | userCount
double | cpuAppUsage
double | cpuTotalUsage
NSInteger | gatewayRtt
double | memoryAppUsageRatio
double | memoryTotalUsageRatio
NSInteger | memoryAppUsageInKbytes
NSInteger | connectTimeMs
NSUInteger | txKBitrate
NSUInteger | rxKBitrate
NSInteger | firstAudioPacketDuration
NSInteger | firstVideoPacketDuration
NSInteger | firstVideoKeyFramePacketDuration
NSInteger | packetsBeforeFirstKeyFramePacket
NSInteger | txPacketLossRate
NSInteger | rxPacketLossRate

## Detailed Description

The Statistics of the channel.

## Property Documentation

## ◆ duration

- (NSUInteger) duration
| readwritenonatomicassign

The call duration in seconds, represented by an aggregate value.

## ◆ txBytes

- (NSUInteger) txBytes
| readwritenonatomicassign

The total number of bytes transmitted, represented by an aggregate value.

## ◆ rxBytes

- (NSUInteger) rxBytes
| readwritenonatomicassign

The total number of bytes received, represented by an aggregate value.

## ◆ txAudioKBitrate

- (NSUInteger) txAudioKBitrate
| readwritenonatomicassign

The audio transmission bitrate in Kbps, represented by an instantaneous value.

## ◆ rxAudioKBitrate

- (NSUInteger) rxAudioKBitrate
| readwritenonatomicassign

The audio receiving bitrate in Kbps, represented by an instantaneous value.

## ◆ txVideoKBitrate

- (NSUInteger) txVideoKBitrate
| readwritenonatomicassign

The video transmission bitrate in Kbps, represented by an instantaneous value.

## ◆ rxVideoKBitrate

- (NSUInteger) rxVideoKBitrate
| readwritenonatomicassign

The video receiving bitrate in Kbps, represented by an instantaneous value.

## ◆ txAudioBytes

- (NSUInteger) txAudioBytes
| readwritenonatomicassign

Total number of audio bytes sent (bytes), represented by an aggregate value.

## ◆ txVideoBytes

- (NSUInteger) txVideoBytes
| readwritenonatomicassign

Total number of video bytes sent (bytes), represented by an aggregate value.

## ◆ rxAudioBytes

- (NSUInteger) rxAudioBytes
| readwritenonatomicassign

Total number of audio bytes received (bytes) before network countermeasures, represented by an aggregate value.

## ◆ rxVideoBytes

- (NSUInteger) rxVideoBytes
| readwritenonatomicassign

Total number of video bytes received (bytes), represented by an aggregate value.

## ◆ lastmileDelay

- (NSUInteger) lastmileDelay
| readwritenonatomicassign

The client-server latency (ms).

## ◆ userCount

- (NSUInteger) userCount
| readwritenonatomicassign

The number of users in the channel.

## ◆ cpuAppUsage

- (double) cpuAppUsage
| readwritenonatomicassign

Application CPU usage (%).

## ◆ cpuTotalUsage

- (double) cpuTotalUsage
| readwritenonatomicassign

System CPU usage (%).

## ◆ gatewayRtt

- (NSInteger) gatewayRtt
| readwritenonatomicassign

Gateway Rtt.

## ◆ memoryAppUsageRatio

- (double) memoryAppUsageRatio
| readwritenonatomicassign

The memory usage ratio of the app (%).

## ◆ memoryTotalUsageRatio

- (double) memoryTotalUsageRatio
| readwritenonatomicassign

The memory usage ratio of the system (%).

## ◆ memoryAppUsageInKbytes

- (NSInteger) memoryAppUsageInKbytes
| readwritenonatomicassign

The memory usage of the app (KB).

## ◆ connectTimeMs

- (NSInteger) connectTimeMs
| readwritenonatomicassign

The time interval (ms) between establishing the connection and the connection succeeds, 0 if not valid.

## ◆ txKBitrate

- (NSUInteger) txKBitrate
| readwritenonatomicassign

The transmission bitrate in Kbps, represented by an instantaneous value.

## ◆ rxKBitrate

- (NSUInteger) rxKBitrate
| readwritenonatomicassign

The receiving bitrate in Kbps, represented by an instantaneous value.

## ◆ firstAudioPacketDuration

- (NSInteger) firstAudioPacketDuration
| readwritenonatomicassign

The duration(ms) between first audio packet received and connection start, 0 if not valid

## ◆ firstVideoPacketDuration

- (NSInteger) firstVideoPacketDuration
| readwritenonatomicassign

The duration(ms) between first video packet received and connection start, 0 if not valid

## ◆ firstVideoKeyFramePacketDuration

- (NSInteger) firstVideoKeyFramePacketDuration
| readwritenonatomicassign

The duration(ms) between first video key frame received and connection start, 0 if not valid

## ◆ packetsBeforeFirstKeyFramePacket

- (NSInteger) packetsBeforeFirstKeyFramePacket
| readwritenonatomicassign

Video packet number before first video key frame received, 0 if not valid

## ◆ txPacketLossRate

- (NSInteger) txPacketLossRate
| readwritenonatomicassign

The packet loss rate of sender(broadcaster).

## ◆ rxPacketLossRate

- (NSInteger) rxPacketLossRate
| readwritenonatomicassign

The packet loss rate of receiver(audience).